Create Incognito Action
curl --request POST \
--url https://developer.world.org/api/v2/create-action/{app_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>'})
};
fetch('https://developer.world.org/api/v2/create-action/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"action": {
"action": "<string>",
"name": "<string>",
"description": "<string>",
"max_verifications": 123,
"external_nullifier": "<string>"
}
}
Developer Portal
Create Incognito Action
Create an incognito action for your app.
POST
/
api
/
v2
/
create-action
/
{app_id}
Create Incognito Action
curl --request POST \
--url https://developer.world.org/api/v2/create-action/{app_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>'})
};
fetch('https://developer.world.org/api/v2/create-action/{app_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"action": {
"action": "<string>",
"name": "<string>",
"description": "<string>",
"max_verifications": 123,
"external_nullifier": "<string>"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Action created
Show child attributes
Show child attributes
Was this page helpful?